package com.factory.web.service.onsite;

import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.web.entity.onsite.OnsiteItem;
import com.factory.web.entity.onsite.OnsiteItemReq;
import com.factory.web.entity.onsite.OnsiteItemRes;

/**
 * 巡检项目设置
 *
 * @author wzy
 * @date 2021-07-06 12:10:10
 */
public interface OnsiteItemService extends IService<OnsiteItem> {
	
	/**
     * 取得巡检项目列表
     * @param req
     * @return 巡检项目列表
     */
    public ResponseBean<PageBean<OnsiteItemRes>> getList(OnsiteItemReq req);

}
